#Source the analysis script before running. 

#Some quick plots for Blaine and Lasse's meeting with HEADS on 25/8/22. 


# Scatter human vs bacterial reads 

plt_humanVsBacReads<-
ggplot(subset(kraken_data, Type != "control"), aes(x = log2(Bac_reads), y = log2(Human_reads), color = Type))+
  geom_point()+
  labs(y="log2(total_human_reads)", x = "log2(total_bac_reads)")



#Richness vs depth 

#join richness data 
plot_data<- 
  richness_data_noHealthy %>%
    full_join(richness_data_noPaired) %>%
    left_join(kraken_data, by = c("rowname" = "RNA_seq_ID", "Patient_ID", "Type"))


plt_alphaDivVsDepth<-
ggplot(plot_data,aes(x=value, y = log2(Total_reads), color = Type))+
  geom_point()+
  facet_grid(~name, scales = "free_x")+
  labs(x = "Alpha Diversity Value", y = "Log2(total_lib_size)")

ggsave("./figures/plt_AlphaDiversityVsLibDepth.png", plt_alphaDivVsDepth, 
       width = 30, height = 10, units = "cm")
ggsave("./figures/plt_humanVsBacReads.png", plt_humanVsBacReads)