library(tidyverse)

# write out filtered count tables that only contain lines where the species was actually observed
# new_est_reads > 0

dir_dat <- "~/Documents/Heads_center_management/datalab_projects/CRC_RNAseq_bacteria/Data_for_HeaDS/generated_data/bracken/"

for (i in seq(4,124,1)) {
  
  if(!(i %in% c(45,71,72))){
    bracken_path <- paste0(dir_dat,"La", i, '.bracken.out')
    bracken_raw <- as_tibble(read.csv(bracken_path, sep = '\t'))
    
    bracken_bac <- bracken_raw %>%
      filter(new_est_reads > 0)
    
    if(i == 125) {
      #save the control sample separately
      outfile <- paste0(dir_dat, 'control', i, '_non_0.bracken.out')  
      write.table(bracken_bac, outfile, quote = F, row.names = F, sep = '\t')
      
    } else{
      outfile <- paste0(dir_dat, 'sample', i, '_non_0.bracken.out')  
      write.table(bracken_bac, outfile, quote = F, row.names = F, sep = '\t')
    }
    

    
  }
  
}
